Skip to main content
GET
/
api
/
v2
/
subscriptions
/
{subReferenceId}
Get Subscription Details
curl --request GET \
  --url https://sandbox.cashfree.com/api/v2/subscriptions/{subReferenceId} \
  --header 'X-Client-Id: <x-client-id>' \
  --header 'X-Client-Secret: <x-client-secret>'
{ "status": "OK", "message": "Subscription Details", "subscription": { "subscriptionId": "SUB-1", "subReferenceId": 127056, "planId": "Basic-1", "customerName": "John Doe", "customerEmail": "johndoe@gmail.com", "customerPhone": "9999999999", "mode": "NPCI_SBC", "status": "ACTIVE", "firstChargeDate": null, "addedOn": "2021-12-16 16:20:52", "scheduledOn": "2021-12-16 20:30:02", "currentCycle": 0, "authLink": "http://cfre.in/t9i2oku", "bankAccountNumber": "5XXXXXXXXXXXXX", "bankAccountHolder": "John Doe", "umrn": "HDFCXXXXXXXXXXXXXXXX", "splitDetails": { "scheme": [ { "merchantVendorId": "test-vendor-1", "percentage": 10 }, { "merchantVendorId": "test-vendor-2", "percentage": 10 } ] } } }

Headers

X-Client-Id
string
required

Client ID provided by Cashfree.

Example:

"asdf14"

X-Client-Secret
string
required

Client Secret provided by Cashfree.

Example:

"qw9876"

Path Parameters

subReferenceId
integer
required

The reference ID of the subscription whose details are to be fetched.

Example:

127056

Response

Successful retrieval of subscription details.